Update Event Payload

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.maddenanalytics.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Madden Analytics API MCP server": {
    "url": "https://docs.maddenanalytics.com/mcp"
  }
}

Close
PUT /v2/api/events/{id}

Replaces the payload of an existing event. The event must belong to the authenticated account.

Path parameters

  • id string Required

    Event ID

application/json

Body Required

New payload

object object

Responses

  • 200 application/json

    Returns the updated event

    Hide response attributes Show response attributes object
    • accountId string
    • completedAt string
    • createdAt string
    • eventType string
    • failedAt string
    • id string
    • payload object
  • 400 application/json

    Invalid request body or payload

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • 404 application/json

    Event not found

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
PUT /v2/api/events/{id}
curl \
 --request PUT 'https://api.maddenanalytics.com/v2/api/events/{id}' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json"
Request examples
{}
Response examples (200)
{
  "accountId": "string",
  "completedAt": "string",
  "createdAt": "string",
  "eventType": "string",
  "failedAt": "string",
  "id": "string",
  "payload": {}
}
Response examples (400)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (404)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}